package com.fs.hisStore.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 安卓版本对象 fs_app_version
 * 
 * @author fs
 * @date 2023-02-03
 */
@TableName("fs_app_version")
public class FsAppVersionScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long versionId;

    /** 版本名称 */
    @Excel(name = "版本名称")
    private String versionName;

    /** 版本CODE */
    @Excel(name = "版本CODE")
    private Long versionCode;

    /** 更新描述 */
    @Excel(name = "更新描述")
    private String note;

    /** 下载地址 */
    @Excel(name = "下载地址")
    private String url;

    /** APP类型 1android 2ios */
    @Excel(name = "APP类型 1android 2ios")
    private Integer type;

    /** 是否强制更新 */
    @Excel(name = "是否强制更新")
    private Integer isForce;

    public void setVersionId(Long versionId) 
    {
        this.versionId = versionId;
    }

    public Long getVersionId() 
    {
        return versionId;
    }
    public void setVersionName(String versionName) 
    {
        this.versionName = versionName;
    }

    public String getVersionName() 
    {
        return versionName;
    }
    public void setVersionCode(Long versionCode) 
    {
        this.versionCode = versionCode;
    }

    public Long getVersionCode() 
    {
        return versionCode;
    }
    public void setNote(String note) 
    {
        this.note = note;
    }

    public String getNote() 
    {
        return note;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setIsForce(Integer isForce) 
    {
        this.isForce = isForce;
    }

    public Integer getIsForce() 
    {
        return isForce;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("versionId", getVersionId())
            .append("versionName", getVersionName())
            .append("versionCode", getVersionCode())
            .append("note", getNote())
            .append("url", getUrl())
            .append("type", getType())
            .append("isForce", getIsForce())
            .append("createTime", getCreateTime())
            .toString();
    }
}
